Update context for a given user

Request

  • Update the context of the user.
  • The user is identified through their user-principal, as indicated by the email claim in the JWT token within the authorization header.
  • The API caller is authenticated via the service principal, as indicated by the azp (Authorized Party) claim in the JWT token within the authorization header.
  • If your application must be scoped to specific billing accounts, the client ID needs the ccm.billingaccount.read (e.g., the controlPlaneAdmin role) permission to update the context of user. Please raise the request with the CSI team.
  • If slbPartitionId value is provided while updating the user's context, then the client ID must also possess the ccm.datapartition.read(e.g., the controlPlaneAdmin role).
  • The API enforces a request rate limit of 10 requests per minute per caller.
Security
bearer and appkey
Bodyapplication/jsonrequired

billingAccountId and contractId is the CRM ID for the BillingAccount and Contract. departmentId and datapartitionId is the CCM Auto-Generated ID for the department and DataPartition.

billingAccountIdstringrequired
departmentIdstring
contractIdstring
dataPartitionIdstring
slbPartitionIdstring
curl -i -X PUT \
  https://api.delfi.slb.com/ccm/userContext/v1/currentContext \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -d '{
    "billingAccountId": "string",
    "departmentId": "string",
    "contractId": "string",
    "dataPartitionId": "string",
    "slbPartitionId": "string"
  }'

Responses

Success

Bodyapplication/json
messagestring
Response
{ "message": "string" }